
maxobcube 1
maxoctdepth 6

fastmemonly

camera {
	loc	<0, 16, 65>
	target	<0, 15, 0>
	aspect 	1.0
}

color cyan {
	diff	<0, 1, 1>
}

color white {
	diff	<1, 1, 1>
}

check floorsurf {
	xsize	7.5
	ysize	7.5
	zsize	7.5
	patt1	white
	patt2	cyan
}

sky {
	zenith	<.2, .2, .7>
	horizon	<.2, .2, .4>
}

color glass {
	diff	<0, 0, 0>
	filt	<.07, .07, .07>
	refl	<.2, .2, .2>
	trans	<.8, .8, .8>
	index	1.5
	scoef	55
	srefl	1
}

color greenglass {
	diff	<0, .4, 0>
	filt	<.25, .05, .25>
	refl	<.2, .2, .2>
	trans	<.1, .8, .1>
	index	1.9
	scoef	50
	srefl	1
}

color brown {
	diff	<.6, .4, 0>
	scoef	10
	srefl	.4
}

color paperwhite {
	diff	<.9, .9, .9>
	scoef	10
	srefl	.4
}

color gold {
	diff	<.8, .6, 0>
	refl	<.2, .4, 0>
	scoef	75
	srefl	1
}

color waxwhite {
	diff	<1, 1, 1>
	scoef	35
	srefl	.7
}

plane {
	loc	<0, 0, 0>
	v1	<1, 0, 0>
	v2	<0, 0, 1>
	patt	floorsurf
}

lamp {
	loc	<10, 30, 15>
}

lamp {
	direct	<1, 0, 1>
	color	<0.3, 0.3, 0.3>
	noshad
}

lamp {
	direct	<-1, 0, 1>
	color	<0.3, 0.3, 0.3>
	noshad
}

lamp {
	direct	<1, 0, -1>
	color	<0.3, 0.3, 0.3>
	noshad
}

lamp {
	direct	<-1, 0, -1>
	color	<0.3, 0.3, 0.3>
	noshad
}

/* the wineglass */

slice glass.slice = {
	<0, .5>,
	<5, 0>,
	<0.8, 1.2>,
	<.7, 1.7>,
	<.7, 5>,
	<0.8, 5.8>,
	<2, 6>,
	<3, 6>,
	<4.7, 7>,
	<5, 8>,
	<5, 10>,
	<4, 14>,
	<3.9, 14>,
	<4.9, 10>,
	<4.9, 8>,
	<4.6, 7>,
	<3, 6.1>,
	<0, 6>
}

spin {
	smooth
	loc	<0, 0, 0>
	patt	glass
	segs	36
	slice	glass.slice
}

/* the bottle */

slice bottle.slice = {
	<0, 0>,
	<6, 0>,
	<7, 18>,
	<6, 20.5>,
	<4.5, 22>,
	<2.5, 23>,
	<1.5, 34>,
	<2, 34.5>,
	<1.5, 35>,
	<1, 35>,
	<1, 23.5>,
	<2.2, 22.5>,
	<4.2, 21.5>,
	<5.6, 20>,
	<6.8, 19>,
	<6.8, .8>,
	<0, .8>
}

spin {
	smooth
	loc	<10, 0, -5>
	patt	greenglass
	segs	36
	slice	bottle.slice
}

/* cork for bottle */

slice cork.slice = {
	<0, 34>,
	<.95, 34>,
	<.95, 37>,
	<0, 37>
}

spin {
	smooth
	loc	<10, 0, -5>
	patt	brown
	segs	36
	slice	cork.slice
}

/* label for bottle */

slice label.slice = {
		<7.01, 7>,
		<7.01, 16>
}

spin {
	smooth
	loc	<10, 0, -5>
	patt	paperwhite
	segs	36
	slice	label.slice
}

/* candle holder */

slice holder.slice = {
	<3, 0>,
	<3, .5>,
	<1, 1>,
	<1, 3>,
	<1.5, 3.5>,
	<1, 4>,
	<1, 5>,
	<2, 6>,
	<2, 7>,
	<1, 8>,
	<1, 9>,
	<1.5, 9.5>,
	<1, 10>,
	<1, 13>,
	<2, 15>,
	<2, 16>,
	<1.5, 16>
}

spin {
	smooth
	loc	<-10, 0, -5>
	patt	gold
	segs	6
	slice	holder.slice
}

/* candle */

slice candle.slice = {
	<1.5, 16>,
	<1.5, 35>,
	<1, 42>,
	<0, 45>
}

spin {
	smooth
	patt	waxwhite
	segs	36
	loc	<-10, 0, -5>
	slice	candle.slice
}
